.footer {
  background: rgba(7, 19, 79, 0.9);
  color: #d0d0d0;
  padding: 50px 0;
  margin-top: 30px;
}

.foot_content {
  margin: 0 auto;
  max-width: 1150px;
  display: grid;
  grid-template-columns: 33% 34% 33%;
}

.circle {
  position: relative;
  display: inline-block;
  font-size: 25px;
  width: 39px;
  height: 39px;
  border-radius: 30px;
}
.circle .fas {
  position: absolute;
  top: 7px;
  left: 7px;
}

.envelope {
  background: #3E68FD;
}

.callme {
  background: #28762B;
}

.location {
  background: #AB2300;
}

.foot_icon_wrap {
  display: flex;
  padding: 10px;
  position: relative;
  align-items: center;
}
.foot_icon_wrap .fa-map-marker-alt {
  margin-left: 3px;
}

.foot_left_desc {
  font-size: 14px;
  margin: 0 10px;
}

.foot_icon_wrap .callme.circle {
  width: 39px;
  min-width: 39px;
}

.foot_content .phonelink {
  color: #d0d0d0;
  font-size: 14px;
  text-decoration: none;
}

.foot_content .phonelink:hover {
  text-decoration: underline;
}

.foot_left {
  padding-left: 15px;
}
.dial_foot {
	text-decoration: none;
	color: #d0d0d0;
}

.foot_center {
  padding: 20px 0 0 100px;
}
.foot_center img {
  width: 40px;
  background: white;
  border-radius: 10px;
  border: 1px solid #6d6d6d;
  transition: box-shadow ease-in-out 0.15s;
}
.foot_center img:hover {
  box-shadow: 0 0 0 3px white;
}
.foot_center .sub_text {
  display: block;
  font-size: 14px;
  text-transform: capitalize;
  font-weight: lighter;
}

.sub_icons {
  display: inline-block;
  margin: 25px 20px 30px 0;
  width: 50px;
}

.foot_right {
  padding-left: 130px;
}
.foot_right a {
  color: #d0d0d0;
  text-decoration: none;
  text-transform: capitalize;
  font-weight: lighter;
  transition: color ease-in-out 0.07s;
  font-size: 14px;
}
.foot_right a img {
  width: 7px;
  margin-bottom: 2px;
}
.foot_right a:hover {
  color: white;
}
.foot_right div {
  margin-bottom: 25px;
}
.foot_right div:first-child {
  margin-top: 15px;
}

.footer {
  float: left;
  width: 100%;
}

.footer_wrap {
  display: flex;
}

.foot_content {
  display: block;
  width: 100%;
}

.foot_left {
  width: 30%;
}

@media screen and (max-width: 950px) {
  .foot_left {
    float: left;
    width: 100%;
    padding: 0;
  }

  .foot_center {
    float: left;
    width: 100%;
    padding: 0;
  }

  .foot_right {
    float: left;
    width: 100%;
    padding: 0;
  }

  .foot_content {
    float: left;
    width: 100%;
  }

  .footer {
    float: left;
    width: 100%;
  }

  .foot_icon_wrap {
    float: left;
    width: 100%;
    padding: 10px 0;
  }

  .footer_wrap {
    display: block;
    padding: 0 15px;
  }

}
@media screen and (max-width: 670px) {
  .foot_content {
    display: grid;
    grid-template-columns: auto;
  }

  .foot_left, .foot_right {
    margin: 0 auto;
  }

  .foot_center {
    margin: 50px auto;
  }
}